> ## Documentation Index
> Fetch the complete documentation index at: https://altostrat.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List BGP IP Reputation Lists

> Retrieves a list of all available BGP IP reputation lists that can be included in a BGP policy.



## OpenAPI

````yaml /api/en/utm-ips.yaml get /content/bgp/category
openapi: 3.0.3
info:
  title: Altostrat UTM & IPS API
  version: 1.0.0
  description: >-
    Manage DNS filtering, BGP threat mitigation, content categories, and site
    policy attachment through the public `/content` gateway path.
servers:
  - url: https://v1.api.altostrat.io
security:
  - bearerAuth: []
tags:
  - name: DNS Content Filtering
    description: Manage DNS-based content filtering policies and their components.
  - name: BGP Threat Intelligence
    description: Manage BGP-based IP reputation policies and threat feeds.
  - name: Site Security Configuration
    description: View and manage security policy attachments for specific sites.
paths:
  /content/bgp/category:
    get:
      tags:
        - BGP Threat Intelligence
      summary: List BGP IP Reputation Lists
      description: >-
        Retrieves a list of all available BGP IP reputation lists that can be
        included in a BGP policy.
      operationId: listBgpLists
      responses:
        '200':
          description: A list of BGP IP reputation lists.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BgpList'
components:
  schemas:
    BgpList:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 9b1e3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8c
        name:
          type: string
          example: Spamhaus DROP List
        description:
          type: string
          example: Aggregated list of known spam sources.
        bgp_community:
          type: string
          example: '65505:700'
        bogon:
          type: boolean
          description: True if this list contains unallocated (bogon) IP space.
        rfc1918:
          type: boolean
          description: True if this list contains private (RFC1918) IP space.
        default:
          type: boolean
          description: True if this list is included in the default BGP policy.
        update_interval:
          type: string
          example: Daily
        last_updated:
          type: string
          format: date-time
        prefix_count:
          type: integer
          description: The number of active IP prefixes in this list.
          example: 4500
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````